/*
***Program Assignment 2***

Add CSS page-level styles to your application. Done
Add CSS external styles to your application.   Done
Choose and apply a color palate to your pages. Done
Lay out your HTML pages.     Done
Format your HTML elements.   Done
Define and apply various CSS styling rules using all of the following selectors:
By element name: h1, h2, p   Done
By class name: .quote <p class="quote"> Done
By element ID: #quote <p id="quote">    Done
By Context  Done style format
Based on state       Done (hover)
Based on attributes  Done (texbox)
*/

body {
    margin: 0;
    padding: 0;
    background: #FFFFFF;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    color: #616161;
}

h1, h2, h3 {
    margin: 0;
    padding: 0;
    font-weight: normal;
    color: green;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 2.8em;
}

h3 {
    font-size: 1.6em;
}

p, ul, ol {
    margin-top: 0;
    line-height: 180%;
}

ul, ol {
}

a {
    text-decoration: none;
    color: #00970e;
}

a:hover {
    text-decoration: underline;
    color: #05590d;
}

/*a:visited { 
    color: pink;
}*/

/* Header */
header {
    height: 100px;
    background: #44900c;
    //background: #425cf4;
    border-bottom: 10px solid #76b746;
    width: 950px;
    margin: 0 auto;
    padding: 0px 0px 0px 30px;
}

/* Logo */
#logo {
    float: left;
    width: 220px;
    margin: 0;
    padding: 0;
    color: #000000;
    /*background: url(images/logo.png) no-repeat left 15px;*/
}

#logo h1, #logo p {
}

#logo h1 {
    margin-top: 10px;
    margin-left: 6px;
    padding: 40p 0px 0px 80px;
    letter-spacing: -1px;
    font-size: 3.8em;
    background: redc;
}

#logo p {
    margin: 0;
    padding: 0px 0 0 10px;
    font: normal 14px Georgia, "Times New Roman", Times, serif;
    font-style: italic;
    color: #FFFFFF;
} 

#logo a {
    border: none;
    background: none;
    text-decoration: none;
    color: #FFFFFF;
}



/* Menu */
nav {
    float: right;
    width: 680px;
    height: 90px;
    margin: 0 auto;
    padding: 0;
}

nav ul {
    margin: 0;
    padding: 60px 0px 0px 0px;
    list-style: none;
    line-height: normal;
}

nav li {
    float: left;
}

nav a {
    display: block;
    margin-right: 1px;
    padding: 10px 15px 15px 15px;
    text-decoration: none;
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    font-weight: bold;
    color: #FFFFFF;
    border: none;
}

nav a:hover, nav .current_page a {
    background: #76b746;
    text-decoration: none;
}

nav .current_page a {
}

/* Sub-menu */
nav ul ul {
    font-family:verdana;
    list-style:none;
    margin:0;
    padding:0px;
    position:relative;
    display: none;

    background:#009900;
    height:auto;
    padding:10px 0;
    position:absolute;
    z-index:1;
}

nav ul li:hover ul {
    display: block;
}

nav ul ul li {
    /*width:180px;*/
}

nav ul ul li a {
    background:transparent;
    /*
    height:20px;
    line-height:20px;
    width:160px;*/
}

nav ul li:hover > a {
    color:#99ff33;
}

/* Page */
#page {
    width: 980px;
    margin: 0 auto 10px auto;
    padding: 0px 0px 0px 0px;
}

#page-bgtop {
    padding: 20px 0px;
}

/* Content */
#content {
    float: left;
    width: 650px;
    padding: 0px 0px 0px 0px;
}

main {
    float: left;
    width: 600px;
    padding-right: 2em;
    /*border-right: 3px solid #c8c8c8;*/
}

main > .post:first-child > h1 {
    margin-top: 0.904em;
}

.sidebar {
    float: right;
    margin-top: 1.875em;
    width: 300px;
}


.post-photo {
    float: left;
    margin-bottom: 2px;
    margin-right: 22px;
    max-width: 61.667%;
}

.post-blurb p {
    color: #363636;
    font-size: 1em;
    line-height: 1.4;
}

/* Footer */
footer {
    height: 50px;
    width: 950px;
    margin: 0 auto;
    padding: 0px 0 0 30px;
    background: #376a11;
    border-top: 1px solid #1c3c04;
    font-family: Arial, Helvetica, sans-serif;
}

footer p {
    margin: 0;
    padding-top: 20px;
    line-height: normal;
    font-size: 12px;
    text-align: center;
    color: #FFFFFF;
}

footer a {
    color: #FFFFFF;
}


/* Table */
.table {
   border: 1px solid black;
   border-collapse: collapse;
}

.table th, table td {
    border: 1px solid black;
}

.table tr {
    border: 1px solid black;
}

.table tr:hover td {
    /*color: red;*/
    background-color: #b3daff;
}

.table tr:nth-child(odd) {
    background-color: white;

}

.table tr:nth-child(even) {
    /*color: white;*/
    background-color: #d1e0e0;

}

.table th {
    background: #44900c;
    color: white;
}


.tableAction {
    margin-left: 5px;
    margin-bottom: 3px;
}

.tableAction a {
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 13px;
}

.button {
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 13px;
}